For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETGet Bill
      • GETList Bill Payments View Sets
      • POSTCreate Bill
      • GETGet Bill Payment
      • GETGet All Bill Payments
      • POSTCreate Bill Payment
Get a Demo
LogoLogo
API ReferenceBill Payments

Create Bill Payment

POST
https://host.com/v2/bill-pay/bills/:external_id/payments/
POST
/v2/bill-pay/bills/:external_id/payments/
$curl -X POST https://host.com/v2/bill-pay/bills/external_id/payments/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": "string",
> "description": "string"
>}'
201Created
1{
2 "id": "string",
3 "amount": "string",
4 "process_date": "2023-01-15",
5 "description": "string",
6 "payment_rail": "string",
7 "status": "queued"
8}
Create a new Bill Payment for a specific bill.
Was this page helpful?
Previous

List Consumer Disputes

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired

Request

This endpoint expects an object.
amountstringRequiredformat: "decimal"
descriptionstringRequired<=255 characters

Response

idstringformat: "uuid"
amountstringformat: "decimal"
process_datestringformat: "date"
descriptionstring or null<=255 characters
payment_railstring or null<=255 characters
statusenum
Allowed values: